#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif
varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform vec4 externalColor;
void main()
{
    vec4 result_color = v_color * texture2D(u_texture, v_texCoords);
    result_color.rgb += externalColor.rgb;
    gl_FragColor = result_color;
}